%define name netperf
%define version 2.4.5
%define release %mkrel 1

Summary:	Performance testing tool for TCP/UDP
Name:		%name
Version:	%version
Release:	%release
License:	BSD
Group:		Networking/Other
URL:		http://www.netperf.org/netperf/NetperfPage.html 
Source:		ftp://ftp.netperf.org/netperf/%name-%version.tar.bz2
Patch0:		netperf-2.4.4-add-missing-info-dir-section.patch
Patch1:		netperf-2.4.5-gcc-fix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Netperf is a benchmark that can be used to measure the performance 
of many different types of networking. It provides tests for both 
unidirecitonal throughput, and end-to-end latency.

The environments currently measureable by netperf include:

* TCP and UDP via BSD Sockets for both IPv4 and IPv6
* DLPI
* Unix Domain Sockets
* SCTP for both IPv4 and IPv6 

%prep
%setup -q 
%patch0 -p1 -b .dir-section
%patch1 -p1 -b .gcc

%build
%configure2_5x \
	--enable-unixdomain \
	--enable-sdp \
	--enable-exs \
	--enable-sctp
%make 

%install
rm -rf %{buildroot}

%makeinstall_std

%clean
rm -rf %{buildroot}

%preun
%_remove_install_info %{name}.info

%post
%_install_info %{name}.info

%postun
%_remove_install_info %{name}.info

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING Release_Notes
%{_bindir}/netperf
%{_bindir}/netserver
%{_infodir}/netperf.*
%{_mandir}/man1/netperf.1*
%{_mandir}/man1/netserver.1*


%changelog
* Sun Jul 12 2009 Bruno Cornec <bcornec@mandriva.org> 2.4.5-1mdv2010.0
+ Revision: 394969
- Update to upstream 2.4.5 and fix compiler errors on fprintf format (reported upstrem)
- Update netperf to 2.4.5 and fix compiler issues (reported upstream)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - fix info file

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Oct 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4.4-1mdv2008.1
+ Revision: 100087
- new version
- spec file clean


* Mon Feb 12 2007 Erwan Velu <erwan@mandriva.org> 2.4.2-2mdv2007.0
+ Revision: 119982
- Import netperf

* Thu Apr 27 2006 Erwan Velu <erwan@seanodes.com> 2.4.2-2mdk
- Fixing group

* Thu Apr 27 2006 Erwan Velu <erwan@seanodes.com> 2.4.2-1mdk
- 2.4.2

* Thu Mar 23 2006 Erwan Velu <erwan@seanodes.com> 2.4.1-1mdk
- 2.4.1

* Thu Jun 23 2005 Erwan Velu <erwan@seanodes.com> 2.4.0-1mdk
- Initial Release

